Subject: Re: [bug#38546] [PATCH v5] Julia: Update to 1.3.1

From: Efraim Flashner <[email-masked]>
Date: Tue, 17 Mar 2020 10:12:10 +0200

On Tue, Mar 17, 2020 at 08:51:13AM +0100, Nicolò Balzarotti wrote:
> Hi Efraim, thanks for the report.
> 
> Yes, according to this report[1] we should downgrade libgit2 0.99.  I'll
> try to send an updated patch in the next days.

We can just add a libgit2-0.28 for now and remove it later.

I saw that there were patches for using llvm-8 as a base for llvm-julia
instead of llvm-6, but that can wait until later.

> 
> In the meanwhile, reding arch bug-tracker [2] I saw that libgit2 depends
> on http-parser (USE_HTTP_PARSER).  Should we unbundle it from git?

That sounds like a separate issue, but a good idea.

> 
> Thanks, Nicolò
> 
> [1] https://github.com/JuliaLang/julia/issues/33111
> [2] https://bugs.archlinux.org/task/65540
> 
> 
> 
> Efraim Flashner <[email-masked]> writes:
> 
> > The upgrade of libgit2 to 0.99.0 seems to have broken this
> >
> > julia bin/install_packages.jl
> > Activating environment at `~/workspace/LMGPU.jl/Project.toml`
> >    Cloning default registries into `~/.julia`
> >    Cloning registry from "https://github.com/JuliaRegistries/General.git"
> > ERROR: LoadError: failed to clone from https://github.com/JuliaRegistries/General.git, error: GitError(Code:ERROR, Class:Invalid, invalid version 0 on git_proxy_options)
> >
> > Other bug reports from other libgit2 version bumps suggest using an
> > older version of libgit2
> >
> >
> > -- 
> > Efraim Flashner   <[email-masked]>   אפרים פלשנר
> > GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> > Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted